# TiddlyWiki in Pharo

Utilities for working with [TiddlyWiki](https://tiddlywiki.com/) non-linear web notebook inside the 
[Pharo](https://pharo.org/)/[GToolkit](https://gtoolkit.com/) computing environment.
This allows import/export, visualize and manipulate Tiddlers inside Pharo/GToolkit,
and to build data narratives involving TiddlyWiki as the shown in the following screenshot 
taken from the [Malleable Systems Wiki data narrative](https://mutabit.com/repos.fossil/malleable-systems/doc/trunk/wiki/en/malleable-systems-wiki--23fm1.md.html):

![Documentation for the prototyping the Malleable Systems Wiki](https://i.imgur.com/MGJxFCz.png)

To install, first install [ExoRepo](https://code.tupale.co/Offray/ExoRepo) and then from a _playground_ execute:

```smalltalk
    ExoRepo new
      repository: 'https://code.sustrato.red/Offray/TiddlyWikiPharo';
      load.
```